<?php
namespace Base\Domain;

use Base\Domain\Authorization\AuthorizationLoginType\WeChat as WeChatAuthorizationLoginType;
use Base\Domain\Authorization\AuthorizationType\Proginn as ProginnAuthorizationType;
use Base\Domain\Authorization\AuthorizationType\WeChat as WeChatAuthorizationType;
use PhalApi\Exception\BadRequestException;

class Authorization extends Base {

    //获取微信登录 链接
    public function weChat($successJump = '', $extraInfo = ''){
       $weChatAuthorizationType = new WeChatAuthorizationType();
       $weChatAuthorizationType->ini();
       return $weChatAuthorizationType->getCode($successJump, $extraInfo);
    }

    //微信回调
    public function weChatCallback(){
        $weChatAuthorizationType = new WeChatAuthorizationType();
        $weChatAuthorizationType->ini();
        $weChatAuthorizationType->weChatCallback();

    }
}
